"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default(_ref) {
  var t = _ref.types;
  return {
    name: 'import-sideeffect',
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, _ref2) {
        var opts = _ref2.opts;
        var node = path.node;

        if (node.source.value === opts.libraryName) {
          node.specifiers.forEach(function (spec) {
            if (t.isImportSpecifier(spec)) {
              var name = spec.imported.name;
              var importFile = opts.sideEffect[name];

              if (importFile) {
                path.insertAfter(t.ImportDeclaration([], t.stringLiteral(importFile)));
              }
            }
          });
        }
      }
    }
  };
}